import { IWebPageProcessSettings, TContext } from "encodeagent-helper-util";
import { IPluginResult } from "encodeagent-helper-ai-util";
export type TProcessWebPageProps = {
    context: TContext;
    url: string;
    processContent: boolean;
    useProxy?: boolean;
    settings?: IWebPageProcessSettings & {
        logUsage?: boolean;
    };
};
export type TProcessWebPageResult = IPluginResult;
export declare const processWebPage: (props: TProcessWebPageProps) => Promise<IPluginResult>;
